Foreman - Feature #11237

Document association of compute profiles to host groups
07/28/2015 03:19 PM - Og Maciel

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: API
Target version: 1.10.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2813
Description

The API should document the compute_profile_id parameter on the hostgroups controller to allow association of compute profiles to
host groups.

I'd like to be able to use hammer to:

e associate compute profiles to existing host groups;
¢ update compute profiles that are associated to existing host groups;

The use case is: as an automator, I'd like to use hammer to create a host group and then associate compute profiles with distinctive
configurations for each profile. For instance, if | associate a "1-small" profile to my host group, | then would like to specify the disk
size and network device to be used whenever | provision a new host using this host group with the "1-small" profile.

Related issues:
Related to Hammer CLI - Feature #6344: Commands for read operations around co... Closed

Associated revisions

Revision 9293c0fe - 10/12/2015 07:03 AM - Ori Rabin

Fixes #11237 - documenting hostgroup association to compute profile

Revision cdccf41e - 10/14/2015 07:50 AM - Ori Rabin

Fixes #11237 - documenting hostgroup association to compute profile

(cherry picked from commit 9293c0fece525632c6d6242b9ee4a078cb77c419)

History

#1 - 07/29/2015 03:10 AM - Dominic Cleal

- Related to Feature #6344: Commands for read operations around compute profiles and attributes added

#2 - 07/29/2015 03:10 AM - Dominic Cleal

- Subject changed from Add hammer command to handle compute profiles to Document association of compute profiles to host groups
- Description updated

- Category set to API

- Difficulty set to trivial

I'm changing this to only be about the first issue listed, associating of compute profiles to host groups, which should be trivial to do via API docs.

The latter issue about general profile and attributes management is already tracked via #6344.

#3 - 10/12/2015 05:00 AM - The Foreman Bot
- Status changed from New to Ready For Testing
https://projects.theforeman.org/issues/6344

- Pull request https://github.com/theforeman/foreman/pull/2813 added
- Pull request deleted ()

#4 - 10/12/2015 07:04 AM - Dominic Cleal
- Assignee set to Ori Rabin

- translation missing: en.field_release set to 63

#5 - 10/12/2015 08:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9293c0fece525632c6d6242b9ee4a078cb77c419.
